Bug 1142437 - Review Request: wallpoet-fonts - Wallpoet font by Lars Berggren
Summary: Review Request: wallpoet-fonts - Wallpoet font by Lars Berggren
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1070946
TreeView+ depends on / blocked
 
Reported: 2014-09-16 18:48 UTC by Julien Enselme
Modified: 2014-09-27 10:09 UTC (History)
5 users (show)

Fixed In Version: wallpoet-fonts-1.000-0.1.20140916hg.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-23 04:47:41 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Julien Enselme 2014-09-16 18:48:02 UTC
Spec URL: http://jenselme.perso.centrale-marseille.fr/visible/SPECS/wallpoet-fonts.spec
SRPM URL: http://jenselme.perso.centrale-marseille.fr/visible/SRPMS/wallpoet-fonts-1.000-0.1.20140916hg.fc20.src.rpm
Description:
Wallpoet is inspired by the often political, short, sometimes provocative,
sometimes funny or both, messages found on city walls, sprayed by some anonymous
agent. Words, images or both!

The idea behind the font is making a font with a bit of punch, but still easy to
use for template graffiti. Print, cut & spray - being the key concept. That's
why it has no curves and off course is a stencil font.

With the font, Lars wants to pay respect to the urban guerilla scene, which has
inspired him so often with it's total disrespect for the traditional and
ingenious ability to break out of the traditional box.

Fedora Account System Username: jujens

Comment 1 Parag AN(पराग) 2014-09-17 05:54:39 UTC
Review:

+ Package builds fine in mock in F22

+ rpmlint on generated rpms gave output
wallpoet-fonts.noarch: W: spelling-error %description -l en_US guerilla -> guerrilla, gorilla
wallpoet-fonts.src: W: spelling-error %description -l en_US guerilla -> guerrilla, gorilla
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

+ source verified with upstream as (sha256sum)
packaged source: d7ccc8475e1b99564e67c9ed1475b79aa21e10932579ee2fbbdc4a4f4009e028
upstream source: d7ccc8475e1b99564e67c9ed1475b79aa21e10932579ee2fbbdc4a4f4009e028

+ License is OFL and included in its own text file OFL.txt

+ fontconfig file looks good

+ follows fonts packaging guidelines.

APPROVED.

Comment 2 Julien Enselme 2014-09-17 11:54:52 UTC
New Package SCM Request
=======================
Package Name: wallpoet-fonts
Short Description: Wallpoet font by Lars Berggren
Upstream URL: https://www.google.com/fonts/specimen/Wallpoet
Owners: jujens
Branches: f20 f21
InitialCC: fonts-sig, i18n-team

Comment 3 Gwyn Ciesla 2014-09-17 13:13:27 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-09-17 14:17:15 UTC
wallpoet-fonts-1.000-0.1.20140916hg.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/wallpoet-fonts-1.000-0.1.20140916hg.fc21

Comment 5 Fedora Update System 2014-09-17 14:17:21 UTC
wallpoet-fonts-1.000-0.1.20140916hg.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/wallpoet-fonts-1.000-0.1.20140916hg.fc20

Comment 6 Fedora Update System 2014-09-18 16:12:26 UTC
wallpoet-fonts-1.000-0.1.20140916hg.fc21 has been pushed to the Fedora 21 testing repository.

Comment 7 Fedora Update System 2014-09-23 04:47:41 UTC
wallpoet-fonts-1.000-0.1.20140916hg.fc21 has been pushed to the Fedora 21 stable repository.

Comment 8 Fedora Update System 2014-09-27 10:09:23 UTC
wallpoet-fonts-1.000-0.1.20140916hg.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.